﻿@using Library_Epam.Helpers


<h3 class="mb-4">Please fill the form below</h3>
@using (Html.BeginForm())
{

    <dl class="row">
        <dt class="col-sm-5">What's your favorite color?</dt>
        <dd class="col-sm-7">
            <select class="form-select" id="Colors" name="Colors">
                @foreach (var color in (string[])ViewBag.Colors)
                {
                    <option>@color</option>
                }
            </select>
        </dd>
        <dd class="mb-2"></dd>

        <dt class="col-sm-5">Your sex?</dt>
        <dd class="col-sm-7">

            <input id="Sex" name="Sex" type="radio" value="Male" class="form-check-input">
            <span>Male</span><br />


            <input id="Sex" name="Sex" type="radio" value="Female" class="form-check-input">
            <span>Female</span><br />

            <input id="Sex" name="Sex" type="radio" value="Non-binary" class="form-check-input">
            <span>Non-binary person</span><br />
        </dd>

        <dt class="col-sm-5">
            Who is superfluous on the list?
            @Html.CreateListExtension((string[])ViewBag.Characters)
        </dt>
        <dd class="col-sm-7">
            <label class="mb-1">Enter your answer</label><br />

            <input class="form-control" id="SuperFluous" name="SuperFluous" type="text" value="">
        </dd>

        <dt class="col-sm-5">Select odd numbers</dt>
        <dd class="col-sm-7">
            <input class="form-check-input" id="One" name="One" type="checkbox" value="true"><input name="One" type="hidden" value="false">
            <span>1</span>
            <input class="form-check-input" id="Two" name="Two" type="checkbox" value="true"><input name="Two" type="hidden" value="false">
            <span>2</span>
            <input class="form-check-input" id="Three" name="Three" type="checkbox" value="true"><input name="Three" type="hidden" value="false">
            <span>3</span>

        </dd>


        <dt class="col-sm-5"></dt>
        <dd class="col-sm-7">

            <input type="submit" class="btn btn-primary" value="Submit" />

        </dd>



    </dl>

}


